!+
! Module: fill_list_mod
!
! Authors:  Steven L. Snowden - Goddard Space Flight Center (NASA)
!
! Description: Extended Source Analysis Software
! SLS 11 March 2011
!
! Comments:
!
! $Id: merge_comp_xmm_mod.f90,v 1.4 2009/05/26 12:53:39 aibarra Exp $
!-
module fill_list_mod

  use dal
  use param
  use errorHandling

  implicit none

  private

  public fill_list

contains

  !---------------------------------------------------------------------
  subroutine fill_list
  !---------------------------------------------------------------------
     character(len=132) :: srclistin, srclistout

     srclistin = stringParameter("srclistin")
     srclistout = stringParameter("srclistout")

     call fill_list_sub(srclistin,srclistout)

  end subroutine fill_list

end module fill_list_mod
