!+
! Module: make_mask_mod
!
! Authors:  Steven L. Snowden - Goddard Space Flight Center (NASA)
!
! Description: Extended Source Analysis Software
!
! Comments:
!
! $Id: make_mask_mod.f90,v 1.2 2009/02/20 13:27:08 aibarra Exp $
!-
module make_mask_mod

  use dal
  use param
  use errorHandling

  implicit none

  private

  public make_mask

contains

  !---------------------------------------------------------------------
  subroutine make_mask
  !---------------------------------------------------------------------
   character (len=80) :: INIMAGE,INMASK,OUTMASK,REGLIST

   INIMAGE = stringParameter("inimage")
   INMASK = stringParameter("inmask")
   OUTMASK = stringParameter("outmask")
   REGLIST = stringParameter("reglist")

   call make_mask_sub(INIMAGE,INMASK,OUTMASK,REGLIST)

  end subroutine make_mask

end module make_mask_mod
